## IdePipelineStageMkdirs IdePipelineStageMkdirs |

## Functions

IdePipelineStage * | ide_pipeline_stage_mkdirs_new ()
void | ide_pipeline_stage_mkdirs_add_path ()

## Types and Values

#define | IDE_TYPE_PIPELINE_STAGE_MKDIRS
struct | IdePipelineStageMkdirsClass
| IdePipelineStageMkdirs

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdePipelineStage
                ╰── IdePipelineStageMkdirs

## Description

## Functions

### ide_pipeline_stage_mkdirs_new ()

    IdePipelineStage *
    ide_pipeline_stage_mkdirs_new (IdeContext *context);

### ide_pipeline_stage_mkdirs_add_path ()

    void
    ide_pipeline_stage_mkdirs_add_path (IdePipelineStageMkdirs *self,
                                        const gchar *path,
                                        gboolean with_parents,
                                        gint mode,
                                        gboolean remove_on_rebuild);

## Types and Values

### IDE_TYPE_PIPELINE_STAGE_MKDIRS

    #define IDE_TYPE_PIPELINE_STAGE_MKDIRS (ide_pipeline_stage_mkdirs_get_type())

### struct IdePipelineStageMkdirsClass

    struct IdePipelineStageMkdirsClass {
      IdePipelineStageClass parent_class;
    };

### IdePipelineStageMkdirs

    typedef struct _IdePipelineStageMkdirs IdePipelineStageMkdirs;